From: "James Le Cuirot" <chewi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libsdl2/
Date: Sat, 13 Apr 2024 22:05:48 +0000 (UTC) [thread overview]
Message-ID: <1713045679.3867373890791642ee64a315e067bbd3a8ca62f1.chewi@gentoo> (raw)
commit: 3867373890791642ee64a315e067bbd3a8ca62f1
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 13 21:56:35 2024 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sat Apr 13 22:01:19 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=38673738
media-libs/libsdl2: Bump to 2.30.2, migrate to CMake
SDL3 only suppports CMake, and we have seen issues with flags not being
respected in the tests under Autotools.
There are CMake options for nearly every configure option we were using before.
I have kept the options in the same order for easier comparison, at least for
now.
There is no way to explicitly select gles1 or gles2, only gles in general.
Detection is performed for each at build time, but this will always succeed as
libglvnd covers them both. Detection is also performed at runtime, so the usual
auto-magic concerns don't apply here.
Closes: https://bugs.gentoo.org/929065
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
media-libs/libsdl2/Manifest | 1 +
media-libs/libsdl2/libsdl2-2.30.2.ebuild | 205 +++++++++++++++++++++++++++++++
2 files changed, 206 insertions(+)
diff --git a/media-libs/libsdl2/Manifest b/media-libs/libsdl2/Manifest
index da206de2e72c..fccd26d09142 100644
--- a/media-libs/libsdl2/Manifest
+++ b/media-libs/libsdl2/Manifest
@@ -3,3 +3,4 @@ DIST SDL2-2.28.3.tar.gz 7340914 BLAKE2B 1ef8950b7736fbbca4607ed9750114f94b8e6e94
DIST SDL2-2.28.4.tar.gz 7344208 BLAKE2B 03d1fec4c9c43d5b906ec9fafd69b75040f7c80696d9097b03c33a93760e579ff677b1dd9385c77d44209a5a8dbb295074d47595b8a2e39f00bc11ad32b7f154 SHA512 16950ccedcfdef42ee6eba1a6bf09ed7231ea0205fe8600388de2aed1aba94da2e5450d16e9732dce9f12569a238730b3727bf64b8699f1fed4cb3c5c94c3eaa
DIST SDL2-2.28.5.tar.gz 7345355 BLAKE2B c96481bc02af6b6d077247238f7e46b0e3ec216664584add29cafb0a91d06dc6ddc637a01519dbd7182d4fa59cfaf26ad6733f72583021cf65849416f9c4b698 SHA512 12593eb78fcca877a8dfb78cf21a4e6feba7dc87c964de378ac462b36d8e41ecb587222cb41d5f56dd35b838e1b9867b8ae0cf2f4d2a01afaf23ac8c11edc84d
DIST SDL2-2.30.1.tar.gz 7428023 BLAKE2B 5cc651bcb38a1a3989a966351074b1a77f511b5bef0d3c9aef06d67d89f1d0ee926f5cba4bf2d45be28bb3f1e9da9b3f17a85f094c8547586072b24ee342777d SHA512 bb1863310d627e7b49cfc31bea7eb9100da1908cd83a97c533c28a2e32eac377c72dde83d2c2c4791007f534ea2e5ec8b1ac545a0d2e291dfdce1734a727c4af
+DIST SDL2-2.30.2.tar.gz 7426565 BLAKE2B 258084c6965281951b78619d7ebcd80b0f6873f54ded93d35b6b898f0533fef9a29bef4a8babe53df50bc589b0565b3a3b1378a930b43fdce575c4a5baa70864 SHA512 19316bb4c483a8c4be2140b70d906b7767beabada481873217a9207bd41e79c1854a837e1394325f59795da010f5344f791a7973a846b8189e3f9b662f408aca
diff --git a/media-libs/libsdl2/libsdl2-2.30.2.ebuild b/media-libs/libsdl2/libsdl2-2.30.2.ebuild
new file mode 100644
index 000000000000..02c8eabacee0
--- /dev/null
+++ b/media-libs/libsdl2/libsdl2-2.30.2.ebuild
@@ -0,0 +1,205 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib flag-o-matic
+
+MY_P="SDL2-${PV}"
+DESCRIPTION="Simple Direct Media Layer"
+HOMEPAGE="https://www.libsdl.org/"
+SRC_URI="https://www.libsdl.org/release/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="ZLIB"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+IUSE="alsa aqua cpu_flags_ppc_altivec cpu_flags_x86_3dnow cpu_flags_x86_mmx cpu_flags_x86_sse cpu_flags_x86_sse2 cpu_flags_x86_sse3 custom-cflags dbus doc fcitx4 gles1 gles2 +haptic ibus jack +joystick kms libsamplerate nas opengl oss pipewire pulseaudio sndio +sound static-libs test +threads udev +video vulkan wayland X xscreensaver"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+ alsa? ( sound )
+ fcitx4? ( dbus )
+ gles1? ( video )
+ gles2? ( video )
+ haptic? ( joystick )
+ ibus? ( dbus )
+ jack? ( sound )
+ nas? ( sound )
+ opengl? ( video )
+ pulseaudio? ( sound )
+ sndio? ( sound )
+ test? ( static-libs )
+ vulkan? ( video )
+ wayland? ( gles2 )
+ xscreensaver? ( X )
+"
+
+COMMON_DEPEND="
+ virtual/libiconv[${MULTILIB_USEDEP}]
+ alsa? ( >=media-libs/alsa-lib-1.0.27.2[${MULTILIB_USEDEP}] )
+ dbus? ( >=sys-apps/dbus-1.6.18-r1[${MULTILIB_USEDEP}] )
+ ibus? ( app-i18n/ibus )
+ jack? ( virtual/jack[${MULTILIB_USEDEP}] )
+ kms? (
+ >=x11-libs/libdrm-2.4.82[${MULTILIB_USEDEP}]
+ >=media-libs/mesa-9.0.0[${MULTILIB_USEDEP},gbm(+)]
+ )
+ libsamplerate? ( media-libs/libsamplerate[${MULTILIB_USEDEP}] )
+ nas? (
+ >=media-libs/nas-1.9.4[${MULTILIB_USEDEP}]
+ >=x11-libs/libXt-1.1.4[${MULTILIB_USEDEP}]
+ )
+ opengl? (
+ >=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}]
+ >=virtual/glu-9.0-r1[${MULTILIB_USEDEP}]
+ )
+ pipewire? ( media-video/pipewire:=[${MULTILIB_USEDEP}] )
+ pulseaudio? ( media-libs/libpulse[${MULTILIB_USEDEP}] )
+ sndio? ( media-sound/sndio:=[${MULTILIB_USEDEP}] )
+ udev? ( >=virtual/libudev-208:=[${MULTILIB_USEDEP}] )
+ wayland? (
+ >=dev-libs/wayland-1.20[${MULTILIB_USEDEP}]
+ >=media-libs/mesa-9.1.6[${MULTILIB_USEDEP},egl(+),gles2,wayland]
+ >=x11-libs/libxkbcommon-0.2.0[${MULTILIB_USEDEP}]
+ )
+ X? (
+ >=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXcursor-1.1.14[${MULTILIB_USEDEP}]
+ >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXfixes-6.0.0[${MULTILIB_USEDEP}]
+ >=x11-libs/libXi-1.7.2[${MULTILIB_USEDEP}]
+ >=x11-libs/libXrandr-1.4.2[${MULTILIB_USEDEP}]
+ xscreensaver? ( >=x11-libs/libXScrnSaver-1.2.2-r1[${MULTILIB_USEDEP}] )
+ )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+ fcitx4? ( app-i18n/fcitx:4 )
+ gles1? ( media-libs/mesa[${MULTILIB_USEDEP},gles1] )
+ gles2? ( media-libs/mesa[${MULTILIB_USEDEP},gles2] )
+ vulkan? ( media-libs/vulkan-loader )
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ gles1? ( media-libs/libglvnd )
+ gles2? ( media-libs/libglvnd )
+ ibus? ( dev-libs/glib:2[${MULTILIB_USEDEP}] )
+ test? ( x11-libs/libX11[${MULTILIB_USEDEP}] )
+ vulkan? ( dev-util/vulkan-headers )
+ X? ( x11-base/xorg-proto )
+"
+BDEPEND="
+ virtual/pkgconfig
+ doc? (
+ app-text/doxygen
+ media-gfx/graphviz
+ )
+ wayland? ( >=dev-util/wayland-scanner-1.20 )
+"
+
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/SDL2/SDL_config.h
+ /usr/include/SDL2/SDL_platform.h
+ /usr/include/SDL2/begin_code.h
+ /usr/include/SDL2/close_code.h
+)
+
+src_prepare() {
+ cmake_src_prepare
+
+ # Unbundle some headers.
+ rm -r src/video/khronos || die
+ ln -s "${ESYSROOT}/usr/include" src/video/khronos || die
+}
+
+src_configure() {
+ use custom-cflags || strip-flags
+
+ local mycmakeargs=(
+ -DSDL_STATIC=$(usex static-libs)
+ -DSDL_SYSTEM_ICONV=ON
+ -DSDL_GCC_ATOMICS=ON
+ -DSDL_AUDIO=$(usex sound)
+ -DSDL_VIDEO=$(usex video)
+ -DSDL_JOYSTICK=$(usex joystick)
+ -DSDL_HAPTIC=$(usex haptic)
+ -DSDL_POWER=ON
+ -DSDL_FILESYSTEM=ON
+ -DSDL_PTHREADS=$(usex threads)
+ -DSDL_TIMERS=ON
+ -DSDL_FILE=ON
+ -DSDL_LOADSO=ON
+ -DSDL_ASSEMBLY=ON
+ -DSDL_ALTIVEC=$(usex cpu_flags_ppc_altivec)
+ -DSDL_SSEMATH=$(usex cpu_flags_x86_sse)
+ -DSDL_MMX=$(usex cpu_flags_x86_mmx)
+ -DSDL_3DNOW=$(usex cpu_flags_x86_3dnow)
+ -DSDL_SSE=$(usex cpu_flags_x86_sse)
+ -DSDL_SSE2=$(usex cpu_flags_x86_sse2)
+ -DSDL_SSE3=$(usex cpu_flags_x86_sse3)
+ -DSDL_OSS=$(usex oss)
+ -DSDL_ALSA=$(usex alsa)
+ -DSDL_ALSA_SHARED=OFF
+ -DSDL_JACK=$(usex jack)
+ -DSDL_JACK_SHARED=OFF
+ -DSDL_ESD=OFF
+ -DSDL_PIPEWIRE=$(usex pipewire)
+ -DSDL_PIPEWIRE_SHARED=OFF
+ -DSDL_PULSEAUDIO=$(usex pulseaudio)
+ -DSDL_PULSEAUDIO_SHARED=OFF
+ -DSDL_ARTS=OFF
+ -DSDL_LIBSAMPLERATE=$(usex libsamplerate)
+ -DSDL_LIBSAMPLERATE_SHARED=OFF
+ -DSDL_WERROR=OFF
+ -DSDL_NAS=$(usex nas)
+ -DSDL_NAS_SHARED=OFF
+ -DSDL_SNDIO=$(usex sndio)
+ -DSDL_SNDIO_SHARED=OFF
+ -DSDL_DISKAUDIO=$(usex sound)
+ -DSDL_DUMMYAUDIO=$(usex sound)
+ -DSDL_WAYLAND=$(usex wayland)
+ -DSDL_WAYLAND_SHARED=OFF
+ -DSDL_RPI=OFF
+ -DSDL_X11=$(usex X)
+ -DSDL_X11_SHARED=OFF
+ -DSDL_X11_XSCRNSAVER=$(usex xscreensaver)
+ -DSDL_COCOA=$(usex aqua)
+ -DSDL_DIRECTFB=OFF
+ -DSDL_FUSIONSOUND=OFF
+ -DSDL_KMSDRM=$(usex kms)
+ -DSDL_KMSDRM_SHARED=OFF
+ -DSDL_DUMMYVIDEO=$(usex video)
+ -DSDL_OPENGL=$(usex opengl)
+ -DSDL_OPENGLES=$(use gles1 || use gles2 && echo ON || echo OFF)
+ -DSDL_VULKAN=$(usex vulkan)
+ -DSDL_LIBUDEV=$(usex udev)
+ -DSDL_DBUS=$(usex dbus)
+ -DSDL_IBUS=$(usex ibus)
+ -DSDL_DIRECTX=OFF
+ -DSDL_RPATH=OFF
+ -DSDL_VIDEO_RENDER_D3D=OFF
+ -DSDL_TESTS=$(usex test)
+ )
+ cmake-multilib_src_configure
+}
+
+src_compile() {
+ multilib-minimal_src_compile
+
+ if use doc; then
+ cd docs || die
+ doxygen || die
+ fi
+}
+
+src_test() {
+ unset SDL_GAMECONTROLLERCONFIG SDL_GAMECONTROLLER_USE_BUTTON_LABELS
+ cmake-multilib_src_test
+}
+
+multilib_src_install_all() {
+ rm -r "${ED}"/usr/share/licenses/ || die
+ dodoc {BUGS,CREDITS,README-SDL,TODO,WhatsNew}.txt README.md docs/README*.md
+ use doc && dodoc -r docs/output/html/
+}
next reply other threads:[~2024-04-13 22:05 UTC|newest]
Thread overview: 217+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-13 22:05 James Le Cuirot [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-24 5:40 [gentoo-commits] repo/gentoo:master commit in: media-libs/libsdl2/ Arthur Zamarin
2024-09-29 11:22 Sam James
2024-09-29 0:19 Sam James
2024-09-28 20:43 James Le Cuirot
2024-09-28 20:43 James Le Cuirot
2024-09-02 6:16 Sam James
2024-08-29 2:50 Sam James
2024-07-20 4:38 Sam James
2024-07-20 4:38 Sam James
2024-07-20 4:38 Sam James
2024-07-19 23:51 Sam James
2024-07-19 23:51 Sam James
2024-07-19 23:36 Sam James
2024-07-19 23:36 Sam James
2024-07-19 22:57 Sam James
2024-07-19 22:57 Sam James
2024-05-25 12:39 WANG Xuerui
2024-05-19 9:15 James Le Cuirot
2024-05-05 23:44 Ionen Wolkens
2024-05-04 7:17 Arthur Zamarin
2024-05-02 4:32 Sam James
2024-05-01 6:03 Sam James
2024-04-27 21:09 James Le Cuirot
2024-04-27 21:09 James Le Cuirot
2024-03-28 3:46 Sam James
2024-03-17 13:44 James Le Cuirot
2024-03-17 3:42 Sam James
2024-02-10 21:24 James Le Cuirot
2024-02-03 13:38 Sam James
2024-02-03 6:56 Sam James
2024-02-02 14:46 Arthur Zamarin
2024-02-02 4:44 Sam James
2024-01-23 19:15 Mike Gilbert
2024-01-16 5:46 Viorel Munteanu
2024-01-15 3:32 Ionen Wolkens
2023-12-15 3:26 Ionen Wolkens
2023-12-15 3:26 Ionen Wolkens
2023-11-24 9:31 Sam James
2023-11-23 17:12 Sam James
2023-11-20 6:00 Michał Górny
2023-11-04 19:48 Sam James
2023-10-22 15:37 James Le Cuirot
2023-10-22 15:37 James Le Cuirot
2023-10-03 3:14 Sam James
2023-09-28 4:35 Sam James
2023-09-27 4:03 Sam James
2023-09-27 3:48 Sam James
2023-09-02 13:58 Sam James
2023-08-13 17:56 Andreas Sturmlechner
2023-08-03 10:28 Arthur Zamarin
2023-08-02 22:02 Sam James
2023-08-02 13:19 Sam James
2023-08-01 18:28 Arthur Zamarin
2023-08-01 18:28 Arthur Zamarin
2023-08-01 16:24 Sam James
2023-08-01 16:24 Sam James
2023-07-15 13:28 Arthur Zamarin
2023-07-15 13:28 Arthur Zamarin
2023-07-12 6:39 Jakov Smolić
2023-06-22 4:59 Sam James
2023-06-03 19:45 Arthur Zamarin
2023-06-03 3:23 Sam James
2023-06-03 3:23 Sam James
2023-06-03 2:23 Sam James
2023-05-29 9:12 Andreas Sturmlechner
2023-05-23 2:52 Sam James
2023-05-03 11:16 Sam James
2023-05-03 10:07 Sam James
2023-02-07 23:06 Sam James
2023-02-01 9:11 Arthur Zamarin
2023-01-26 22:03 Sam James
2023-01-26 21:21 Sam James
2023-01-26 20:55 Arthur Zamarin
2023-01-26 20:38 Arthur Zamarin
2023-01-26 20:38 Arthur Zamarin
2023-01-04 3:31 Sam James
2022-12-09 15:36 Sam James
2022-12-03 17:33 Arthur Zamarin
2022-12-03 15:08 Arthur Zamarin
2022-12-03 14:43 Arthur Zamarin
2022-12-02 18:57 Arthur Zamarin
2022-12-02 18:57 Arthur Zamarin
2022-12-02 8:35 Arthur Zamarin
2022-12-02 8:15 Arthur Zamarin
2022-11-18 6:47 Ionen Wolkens
2022-11-18 5:52 Sam James
2022-10-03 20:29 James Le Cuirot
2022-10-03 8:32 Agostino Sarubbo
2022-10-03 8:31 Agostino Sarubbo
2022-10-03 8:28 Agostino Sarubbo
2022-10-03 8:26 Agostino Sarubbo
2022-10-03 8:24 Agostino Sarubbo
2022-10-02 16:30 Arthur Zamarin
2022-10-02 16:30 Arthur Zamarin
2022-08-20 10:09 James Le Cuirot
2022-08-04 21:17 James Le Cuirot
2022-07-29 4:17 Sam James
2022-05-19 5:08 WANG Xuerui
2022-04-14 21:34 James Le Cuirot
2022-04-14 8:11 Agostino Sarubbo
2022-04-09 19:56 Arthur Zamarin
2022-04-05 2:37 Sam James
2022-04-04 18:28 Jakov Smolić
2022-04-04 6:37 Agostino Sarubbo
2022-04-03 22:08 Jakov Smolić
2022-04-03 10:10 Agostino Sarubbo
2022-01-23 9:35 Ionen Wolkens
2022-01-13 0:55 Sam James
2021-10-31 0:19 Sam James
2021-10-02 18:39 Sam James
2021-09-30 18:18 Sam James
2021-09-26 7:29 Agostino Sarubbo
2021-09-25 5:21 Agostino Sarubbo
2021-09-25 5:20 Agostino Sarubbo
2021-09-25 5:18 Agostino Sarubbo
2021-09-24 22:53 Sam James
2021-09-23 22:08 James Le Cuirot
2021-09-23 22:07 James Le Cuirot
2021-09-12 11:13 James Le Cuirot
2021-09-12 11:13 James Le Cuirot
2021-08-10 20:36 James Le Cuirot
2021-05-15 19:17 Sam James
2021-05-15 2:41 Sam James
2021-05-10 6:58 Agostino Sarubbo
2021-05-06 7:22 Sergei Trofimovich
2021-05-05 11:40 Lars Wendler
2021-05-05 11:40 Lars Wendler
2021-05-02 19:33 James Le Cuirot
2021-05-01 18:19 Agostino Sarubbo
2021-04-25 9:18 Sergei Trofimovich
2021-04-25 9:18 Sergei Trofimovich
2021-04-24 7:40 Lars Wendler
2021-04-19 20:54 Sam James
2021-02-27 12:30 Sam James
2021-01-11 18:33 Lars Wendler
2021-01-11 16:45 Mike Gilbert
2021-01-09 10:36 Sam James
2020-12-17 3:58 Sam James
2020-10-09 8:31 Agostino Sarubbo
2020-10-08 17:31 Sergei Trofimovich
2020-10-06 13:16 Sam James
2020-10-03 12:16 Sergei Trofimovich
2020-09-30 21:15 Sam James
2020-08-30 2:41 Sam James
2020-08-21 3:07 Sam James
2020-08-18 11:22 Agostino Sarubbo
2020-08-18 11:16 Agostino Sarubbo
2020-08-17 14:52 Agostino Sarubbo
2020-08-17 14:09 Agostino Sarubbo
2020-04-06 18:51 James Le Cuirot
2020-04-06 18:51 James Le Cuirot
2020-04-05 21:34 James Le Cuirot
2020-03-27 18:19 Sergei Trofimovich
2020-03-18 18:53 Georgy Yakovlev
2020-02-11 22:35 James Le Cuirot
2020-01-27 21:07 James Le Cuirot
2019-09-13 15:50 Mikle Kolyada
2019-09-08 18:30 Sergei Trofimovich
2019-09-08 18:26 Sergei Trofimovich
2019-09-08 18:21 Sergei Trofimovich
2019-09-08 10:42 Agostino Sarubbo
2019-09-08 1:13 Thomas Deutschmann
2019-09-07 1:52 Aaron Bauman
2019-06-28 22:19 Sergei Trofimovich
2019-02-07 16:50 Mikle Kolyada
2019-01-31 8:49 Tobias Klausmann
2019-01-17 8:29 Sergei Trofimovich
2019-01-17 8:08 Sergei Trofimovich
2019-01-16 15:19 Lars Wendler
2019-01-16 15:14 Mikle Kolyada
2019-01-15 22:29 Thomas Deutschmann
2019-01-01 12:05 Sergei Trofimovich
2018-11-03 11:33 James Le Cuirot
2018-10-31 21:53 James Le Cuirot
2018-10-31 21:53 James Le Cuirot
2018-10-10 16:26 Markus Meier
2018-09-16 13:15 Mikle Kolyada
2018-09-14 12:17 Tobias Klausmann
2018-09-09 1:12 Thomas Deutschmann
2018-09-07 23:03 Sergei Trofimovich
2018-09-07 22:54 Sergei Trofimovich
2018-09-07 22:43 Sergei Trofimovich
2018-07-08 10:53 Jeroen Roovers
2018-05-26 21:38 James Le Cuirot
2018-05-16 10:01 Alfredo Tupone
2018-05-14 11:49 Tobias Klausmann
2018-05-14 6:17 Alfredo Tupone
2018-05-07 21:05 James Le Cuirot
2018-05-07 20:57 James Le Cuirot
2018-04-26 8:28 Mikle Kolyada
2018-04-25 20:05 Aaron Bauman
2018-04-21 21:18 Sergei Trofimovich
2018-04-18 18:37 Pacho Ramos
2018-04-18 18:37 Pacho Ramos
2018-03-05 20:26 Sergei Trofimovich
2018-03-02 12:15 Lars Wendler
2018-03-02 12:15 Lars Wendler
2018-03-02 12:15 Lars Wendler
2017-12-06 22:34 Sergei Trofimovich
2017-12-06 22:34 Sergei Trofimovich
2017-11-04 23:51 James Le Cuirot
2017-10-24 8:33 Lars Wendler
2017-06-10 20:14 Sergei Trofimovich
2017-06-10 20:14 Sergei Trofimovich
2017-06-10 20:14 Sergei Trofimovich
2017-02-22 13:35 Michael Weber
2016-07-25 16:30 Chí-Thanh Christopher Nguyễn
2016-05-02 0:35 Matt Turner
2016-03-15 17:22 Markus Meier
2016-03-15 16:15 Michael Sterrett
2016-03-15 7:45 Michael Sterrett
2016-02-21 7:41 Jeroen Roovers
2016-02-13 15:33 Agostino Sarubbo
2015-12-24 20:18 Mike Frysinger
2015-11-14 5:29 Michael Sterrett
2015-09-06 6:18 Jeroen Roovers
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1713045679.3867373890791642ee64a315e067bbd3a8ca62f1.chewi@gentoo \
--to=chewi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox